### Home Classes Methods

### In Files

- lib/math_ml/util.rb

### Parent

Object

### Methods

- ::new
- #update

### Class/Module Index

Quicksearch

- MathML
- MathML::Align
- MathML::Element
- MathML::Error
- MathML::Fenced
- MathML::Frac
- MathML::Identifier
- MathML::LaTeX
- MathML::LaTeX::BlockNotClosed
- MathML::LaTeX::Builtin
- MathML::LaTeX::Builtin::Symbol
- MathML::LaTeX::BuiltinCommands
- MathML::LaTeX::BuiltinEnvironments
- MathML::LaTeX::BuiltinGroups
- MathML::LaTeX::BuiltinGroups::CircularReferenceEnvironment
- MathML::LaTeX::EndMismatchToBegin
- MathML::LaTeX::EnvironmentNotEnd
- MathML::LaTeX::Font
- MathML::LaTeX::Macro
- MathML::LaTeX::Macro::Command
- MathML::LaTeX::Macro::Environment
- MathML::LaTeX::NeedParameter
- MathML::LaTeX::NotEnvironment
- MathML::LaTeX::OptionNotClosed
- MathML::LaTeX::ParseError
- MathML::LaTeX::Parser
- MathML::LaTeX::Parser::CircularReferenceCommand
- MathML::LaTeX::RE
- MathML::LaTeX::Scanner
- MathML::Line
- MathML::Math
- MathML::None
- MathML::Number
- MathML::Operator
- MathML::Over
- MathML::Root
- MathML::Row
- MathML::Space
- MathML::Sqrt
- MathML::String
- MathML::SubSup
- MathML::Symbol
- MathML::Symbol::CharacterReference
- MathML::Symbol::EntityReference
- MathML::Table
- MathML::Td
- MathML::Text
- MathML::Tr
- MathML::Under
- MathML::Util
- MathML::Util::MathData
- MathML::Util::SimpleLaTeX
- MathML::Variant
- MathML::XMLElement
- String

No matching classes.

# MathML::Util::MathData

### Attributes

dmath_list[R]
dsrc_list[R]
escape_list[R]
esrc_list[R]
math_list[R]
msrc_list[R]
user_list[R]
usrc_list[R]

### Public Class Methods

new() click to toggle source

    # File lib/math_ml/util.rb, line 46
    def initialize
            @math_list = []
            @msrc_list = []
            @dmath_list = []
            @dsrc_list = []
            @escape_list = []
            @esrc_list = []
            @user_list = []
            @usrc_list = []
    end

### Public Instance Methods

update(s) click to toggle source

    # File lib/math_ml/util.rb, line 57
    def update(s)
            @math_list.concat(s.math_list)
            @msrc_list.concat(s.msrc_list)
            @dmath_list.concat(s.dmath_list)
            @dsrc_list.concat(s.dsrc_list)
            @escape_list.concat(s.escape_list)
            @esrc_list.concat(s.esrc_list)
            @user_list.concat(s.user_list)
            @usrc_list.concat(s.usrc_list)
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.